aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucketVersioning

Synopsis

- data GetBucketVersioning = GetBucketVersioning {
  - gbvBucket :: Bucket
  }
- getBucketVersioning :: Bucket -> GetBucketVersioning
- data GetBucketVersioningResponse = GetBucketVersioningResponse {
  - gbvVersioning :: Maybe VersioningState
  }
- data VersioningState
  - = VersioningSuspended
  - | VersioningEnabled

# Documentation

data GetBucketVersioning Source #

Gets the versioning state of an existing bucket.

Constructors

GetBucketVersioning |

Fields

- gbvBucket :: Bucket

#### Instances

Instances details

SignQuery GetBucketVersioning Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type ServiceConfiguration GetBucketVersioning |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ServiceConfiguration GetBucketVersioning = S3Configuration

Methods

signQuery :: GetBucketVersioning -> ServiceConfiguration GetBucketVersioning queryType -> SignatureData -> SignedQuery Source #

Show GetBucketVersioning Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning Methods showsPrec :: Int -> GetBucketVersioning -> ShowS Source # show :: GetBucketVersioning -> String Source # showList :: [GetBucketVersioning] -> ShowS Source #
Transaction GetBucketVersioning GetBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning
type ServiceConfiguration GetBucketVersioning Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ServiceConfiguration GetBucketVersioning = S3Configuration

getBucketVersioning :: Bucket -> GetBucketVersioning Source #

data GetBucketVersioningResponse Source #

Constructors

GetBucketVersioningResponse | Nothing when the bucket is not versioned

Fields

- gbvVersioning :: Maybe VersioningState

#### Instances

Instances details

AsMemoryResponse GetBucketVersioningResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type MemoryResponse GetBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type MemoryResponse GetBucketVersioningResponse = GetBucketVersioningResponse

Methods

loadToMemory :: GetBucketVersioningResponse -> ResourceT IO (MemoryResponse GetBucketVersioningResponse) Source #

Show GetBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning Methods showsPrec :: Int -> GetBucketVersioningResponse -> ShowS Source # show :: GetBucketVersioningResponse -> String Source # showList :: [GetBucketVersioningResponse] -> ShowS Source #
ResponseConsumer r GetBucketVersioningResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type ResponseMetadata GetBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ResponseMetadata GetBucketVersioningResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketVersioningResponse) -> HTTPResponseConsumer GetBucketVersioningResponse Source #

Transaction GetBucketVersioning GetBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning
type MemoryResponse GetBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type MemoryResponse GetBucketVersioningResponse = GetBucketVersioningResponse
type ResponseMetadata GetBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ResponseMetadata GetBucketVersioningResponse = S3Metadata

data VersioningState Source #

Constructors

VersioningSuspended |
VersioningEnabled |

#### Instances

Instances details

Show VersioningState Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning Methods showsPrec :: Int -> VersioningState -> ShowS Source # show :: VersioningState -> String Source # showList :: [VersioningState] -> ShowS Source #